## umbrello 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(UMBRELLO_VERSION_MAJOR "2")
-MATH(EXPR UMBRELLO_VERSION_MINOR "15+${KDE_APPLICATIONS_VERSION_MINOR}")
+MATH(EXPR UMBRELLO_VERSION_MINOR "12+${KDE_APPLICATIONS_VERSION_MINOR}")
 set(UMBRELLO_VERSION_PATCH ${KDE_APPLICATIONS_VERSION_MICRO})
 
 option(BUILD_ICONS "Create icons from svg source" OFF)
@@ -128,8 +128,13 @@
                                  )
         endforeach()
     endmacro(ecm_mark_nongui_executable)
-    find_package(KDevelop-PG-Qt)
-    find_package(KDevPlatform)
+    if(NOT DISABLE_PHP_IMPORT)
+        find_package(KDevelop-PG-Qt)
+        find_package(KDevPlatform)
+        if ("${KDevPlatform_VERSION_MAJOR}" STREQUAL "5")
+            message(FATAL_ERROR "Could not compile with KF5 based kdevplatform. Please uninstall or specify -DDISABLE_PHP_IMPORT=1")
+        endif()
+    endif()
     if(KDEVPGQT_FOUND AND KDEVPLATFORM_FOUND)
         include_directories(
             ${KDEVPGQT_INCLUDE_DIR}
