=== debian/changelog ===
umbrello (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Fix l10n Breaks/Replaces first good version for upgrades from Artful

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Apr 2018 16:54:53 +0100

umbrello (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:35:04 +0000

umbrello (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:04:05 +0000

umbrello (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Simon Quigley ]
  * Add libkf5kdelibs4support-dev as a build dependency because of a new
    upstream requirement.
  * Bump Standards-version to 3.9.8 (maximum version supported by
    Xenial). No changes needed.

  [ Rik Mills ]
  * New upstream release (17.08.3)
  * Single package, no install file needed

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:37 +0000
