## umbrello 18.04.3

=== debian/changelog ===
umbrello (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:49 +0100

umbrello (4:17.12.0-0ubuntu2) UNRELEASED; urgency=medium

  * New kdevelop build depends

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 02 Jan 2018 08:23:20 +0000
