=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
+               kdevelop-dev,
+               kdevelop-pg-qt,
                kinit-dev (>= 5.31.0~),
                libboost-dev (>= 1.33.1),
                libkf5archive-dev (>= 5.31.0~),
@@ -36,7 +38,7 @@
                libxslt1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/umbrello
