## umbrello 18.12.3

=== debian/changelog ===
umbrello (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:36:28 +0000

umbrello (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:23:26 +0000

umbrello (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:35 +0000

umbrello (4:18.12.0-0ubuntu2) disco; urgency=medium

  * Merge with debian, remaining changes:
    - keep kdevelop-dev and kdevelop-pg-qt build depends
    - keep our lintian overrides
    - keep l10npkgs_firstversion_ok := 4:17.08.3~

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 26 Dec 2018 18:29:15 +0000

umbrello (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Dec 2018 01:32:31 +0000
