## umbrello 19.04.3

=== debian/changelog ===
umbrello (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:22:08 +0100

umbrello (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:18:02 +0100

umbrello (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:05:35 +0100

umbrello (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * Update lintian-overrides.
  * For now skip tests on this leaf package.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 24 Apr 2019 15:43:57 +0100
